Bug 1233553 - Turbogears FTBFS: AttributeError: 'TestResponse' object has no attribute 'cookies_set'
Summary: Turbogears FTBFS: AttributeError: 'TestResponse' object has no attribute 'coo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: TurboGears
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1239355 (view as bug list)
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-06-19 07:08 UTC by Dan Callaghan
Modified: 2016-08-16 00:50 UTC (History)
5 users (show)

Fixed In Version: TurboGears-1.1.3-12.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 00:50:58 UTC
Type: Bug


Attachments (Terms of Use)
proposed patch (7.02 KB, patch)
2015-06-22 04:38 UTC, Dan Callaghan
no flags Details | Diff

Description Dan Callaghan 2015-06-19 07:08:06 UTC
A number of TurboGears unit tests fail with

AttributeError: 'TestResponse' object has no attribute 'cookies_set'

This is due to an API change in python-webtest which was upgraded to 2.0 a while back (but after the last build of TurboGears happened). Relevant python-webtest change was:

https://github.com/Pylons/webtest/commit/eb48bb98f9cfc69f7cbd9af572cdeaf9dca48a1b

References to .cookies_set attribute need to be changed to .cookiejar instead. Unfortunately CookieJar implements only an iterable interface, not dict-like, so it's not just a straightforward rename...

Comment 1 Dan Callaghan 2015-06-22 04:24:41 UTC
Actually I misread the webtest patch. It looks like TestResponse.cookie_set was really never intended to be a public API. Instead there is TestApp.cookies (dict of name -> Cookie) and TestApp.cookiejar.

So patching the TurboGears tests is pretty straightforward.

Comment 2 Dan Callaghan 2015-06-22 04:36:08 UTC
Filed upstream, for whatever that's worth: https://sourceforge.net/p/turbogears1/tickets/39/

Comment 3 Dan Callaghan 2015-06-22 04:38:19 UTC
Created attachment 1041581 [details]
proposed patch

Comment 4 Dan Callaghan 2015-07-05 22:45:02 UTC
*** Bug 1239355 has been marked as a duplicate of this bug. ***

Comment 5 Dan Callaghan 2015-07-14 22:09:32 UTC
Luke, do you need any help maintaining the TurboGears package? I have applied for commit access to all branches in pkgdb.

Comment 6 Jan Kurik 2015-07-15 13:58:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Dan Callaghan 2015-09-28 06:45:35 UTC
Just noticed that Luke has given me commit access so I will push the fix for this.

Comment 8 Fedora Update System 2015-09-28 06:58:47 UTC
TurboGears-1.1.3-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0a13921a00

Comment 9 Fedora Update System 2015-09-29 06:22:14 UTC
TurboGears-1.1.3-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update TurboGears'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0a13921a00

Comment 10 Fedora Update System 2016-08-16 00:50:55 UTC
TurboGears-1.1.3-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.